; ----------------------------------------
; BlinkIt - TestIt
; Version 1.0
; Date: 10/24/2014
; Written By : Khoi Vu
; ----------------------------------------

.INCLUDE <m328pdef.inc>

.DSEG
blink: .BYTE 1

.CSEG
.ORG 0x0000
RST_VECT:
    rjmp reset                
.ORG 0x0100                
.INCLUDE "spi_shield.inc"

reset:
	call InitShield           
	clr  spiLEDS	// clear discrete LEDs
test:
	rcall BlinkIt
	rjmp  test


BlinkIt:
	lds r16,blink
	com r16			// complement r16, since blink=0x00, output= 0xFF
	sts blink,r16	// store back to blink
	bst r16,0		// store bit 0 of r16 to T
	rcall TestIt	// call TestIt
    ret

TestIt:
	mov r16,spiLEDS		// move LEDs to register 16
	sbr r16,0b10000000	// guessing LED is on
	brts done			// since bit 0 of r16 was 1 T=1 so brts is set. it will branch to done
	cbr	r16,0b10000000	// clear r16 if not on
done:
	mov spiLEDS,r16		// move r16 back to LED
	rcall WriteDisplay	// output to display
    ret






